<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping package="com.ifish.entity">
	<class name="DeviceCamera" table="tbl_device_camera" dynamic-insert="true" dynamic-update="true">
		<meta attribute="sync-DAO">false</meta>
		<composite-id name="deviceCameraId" class="com.ifish.entity.DeviceCameraId">
			<key-property	 name="cameraId" 	column="camera_id" 	type="string" />
			<key-property	 name="deviceId" 	column="device_id" 	type="java.lang.Integer" />
		</composite-id>
	</class>
</hibernate-mapping>